
QGIS Application - Bug report #14869

Crash when adding a new relation with incomplete parameters

2016-05-23 05:29 AM - Lauri Kajan

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22822

Description

When not all parameters are given in the New relation dialog and when OK is pressed QGIS crashes.

I think that OK button should be disabled until all necessary parameters are filled.

Associated revisions

Revision b762694b - 2016-05-25 03:58 PM - Matthias Kuhn 

Fix crash in relation manager

When clicking ok with invalid definitions.

Fixes #14869

History

#1 - 2016-05-23 05:39 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2016-05-25 07:04 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"b762694b224ee2b26563b1fe9c7e867976114ef8".
